package com.pcloud.book.group.dto;

import com.pcloud.common.dto.BaseDto;

import lombok.Data;

/**
 * 7天浏览量高的资源统计(ResourcePageCourse)实体类
 *
 * @author makejava
 * @since 2021-05-17 14:50:36
 */
@Data
public class ResourcePageCourseDTO extends BaseDto {
    private static final long serialVersionUID = -38057094074172299L;
    /**
    * 资源id
    */
    private Long serveId;
    /**
    * 资源名称
    */
    private String serveName;
    /**
    * 资源类型（APP/PRODUCT）
    */
    private String serveType;
    /**
    * 资源类型
    */
    private String typeCode;
    /**
     * 资源类型名称
     */
    private String typeName;
    /**
     * 渠道id
     */
    private Long channelId;

    private String servePic;

    private String transverseImg;
    /**
     * 跳转结果链接
     */
    private String resultUrl;

}